IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[adfGetAccountingCurrency]') AND xtype IN (N'FN', N'IF', N'TF'))
	BEGIN
		PRINT 'Dropping function adfGetAccountingCurrency'
		DROP FUNCTION [dbo].[adfGetAccountingCurrency]
	END

GO

PRINT 'Creating function adfGetAccountingCurrency'
GO
/******************************************************************************
**		File: 
**		Name: adfGetAccountingCurrency
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE FUNCTION adfGetAccountingCurrency()
RETURNS TCode3
AS
BEGIN
	DECLARE @Code TCode3
	SET @Code = 'USD'
	RETURN @Code
END
GO

GRANT EXEC ON adfGetAccountingCurrency TO PUBLIC
GO
