IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[adfGetLanguage]') AND xtype IN (N'FN', N'IF', N'TF'))
	BEGIN
		PRINT 'Dropping function adfGetLanguage'
		DROP FUNCTION [dbo].[adfGetLanguage]
	END

GO

PRINT 'Creating function adfGetLanguage'
GO
/******************************************************************************
**		File: 
**		Name: adfGetLanguage
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE FUNCTION adfGetLanguage()
RETURNS CHAR(2)
AS
BEGIN
	DECLARE @AppName nvarchar(4000), @Index INT, @Lang CHAR(2)
	
	SET @AppName = APP_NAME()
	
	SET @Index = CHARINDEX(';', @AppName)
	
	SET @Lang = SUBSTRING(@AppName, @Index + 1, 2)
	IF EXISTS(SELECT * FROM [Language] WHERE [Language] = @Lang)
		RETURN @Lang
	RETURN 'ru'
END
GO

 