IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'adfuiCommandDelete')
	BEGIN
		PRINT 'Dropping Procedure adfuiCommandDelete'
		DROP  Procedure  adfuiCommandDelete
	END

GO

PRINT 'Creating Procedure adfuiCommandDelete'
GO
/******************************************************************************
**		File: 
**		Name: adfuiCommandDelete
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure adfuiCommandDelete
	@ID TIdentifier
AS
	SET NOCOUNT ON

	DELETE [UICommand] WHERE [ID] = @ID
	
	RETURN 0
GO

GRANT EXEC ON adfuiCommandDelete TO PUBLIC
GO
