IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'adfValidateInvalidTransition')
	BEGIN
		PRINT 'Dropping Procedure adfValidateInvalidTransition'
		DROP  Procedure  adfValidateInvalidTransition
	END

GO

PRINT 'Creating Procedure adfValidateInvalidTransition'
GO
/******************************************************************************
**		File: 
**		Name: adfValidateInvalidTransition
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure adfValidateInvalidTransition
	@DocumentID				TIdentifier,
	@TransitionTemplateID	TIdentifier
AS
	SET NOCOUNT ON

	RAISERROR('#Transition is invalid.', 16, -1)
	RETURN 1
GO

GRANT EXEC ON adfValidateInvalidTransition TO PUBLIC
GO
