﻿--Добавление колонок EditedInPaymentCurrency в таблицы FactureLine, InvoiceLine и StatementLine

IF NOT EXISTS (SELECT * FROM syscolumns WHERE [name] = 'EditedInPaymentCurrency' AND OBJECTPROPERTY(id, N'IsUserTable') = 1 AND OBJECT_NAME(id)='FactureLine')
BEGIN
	ALTER TABLE [FactureLine]
		ADD [EditedInPaymentCurrency] TBool	NOT NULL DEFAULT 0
END
GO

IF NOT EXISTS (SELECT * FROM syscolumns WHERE [name] = 'EditedInPaymentCurrency' AND OBJECTPROPERTY(id, N'IsUserTable') = 1 AND OBJECT_NAME(id)='InvoiceLine')
BEGIN
	ALTER TABLE [InvoiceLine]
		ADD [EditedInPaymentCurrency] TBool	NOT NULL DEFAULT 0
END
GO

IF NOT EXISTS (SELECT * FROM syscolumns WHERE [name] = 'EditedInPaymentCurrency' AND OBJECTPROPERTY(id, N'IsUserTable') = 1 AND OBJECT_NAME(id)='StatementLine')
BEGIN
	ALTER TABLE [StatementLine]
		ADD [EditedInPaymentCurrency] TBool	NOT NULL DEFAULT 0
END
GO