IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[fnPjm5GetVATRate]') AND xtype IN (N'FN', N'IF', N'TF'))
	BEGIN
		PRINT 'Dropping function fnPjm5GetVATRate'
		DROP FUNCTION [dbo].[fnPjm5GetVATRate]
	END

GO

PRINT 'Creating function fnPjm5GetVATRate'
GO
/******************************************************************************
**		File: 
**		Name: fnPjm5GetVATRate
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE FUNCTION fnPjm5GetVATRate()
RETURNS TPercent
AS
BEGIN
	DECLARE @Rate TPercent
	
	SELECT @Rate=CAST(Value as decimal(18, 4)) FROM [F41AB0F8-FDF0-4FAD-9B71-8F17B4A51B53] WHERE [Name]='VATRate' AND [Group]='CommonBusiness'
	
	RETURN ISNULL(@Rate, 0)
END
GO

GRANT EXEC ON fnPjm5GetVATRate TO PUBLIC
GO
