IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'lmServiceType')
	BEGIN
		PRINT 'Dropping Procedure lmServiceType'
		DROP  Procedure  lmServiceType
	END

GO

PRINT 'Creating Procedure lmServiceType'
GO
/******************************************************************************
**		File: 
**		Name: lmServiceType
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure lmServiceType
AS
	SET NOCOUNT ON
	
	SELECT
		[ServiceType].[ID],
		[ServiceType].[State],
		[ServiceType].[FileAs] AS [Name],
		[ServiceType].[Code]
	FROM
		[ServiceType]
		
	RETURN 0
GO

GRANT EXEC ON lmServiceType TO PUBLIC
GO
 