IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[adfGetClassByGuid]') AND xtype IN (N'FN', N'IF', N'TF'))
	BEGIN
		PRINT 'Dropping function adfGetClassByGuid'
		DROP FUNCTION [dbo].[adfGetClassByGuid]
	END

GO

PRINT 'Creating function adfGetClassByGuid'
GO
/******************************************************************************
**		File: 
**		Name: adfGetClassByGuid
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE FUNCTION adfGetClassByGuid
	(@Guid TGuid)
RETURNS TClass
AS
BEGIN
	DECLARE @Class TClass
	SELECT @Class = [Class] FROM [Class] WHERE [Guid] = @Guid
	RETURN @Class
END
GO

GRANT EXEC ON adfGetClassByGuid TO PUBLIC
GO
