IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[adfGetRoleID]') AND xtype IN (N'FN', N'IF', N'TF'))
	BEGIN
		PRINT 'Dropping function adfGetRoleID'
		DROP FUNCTION [dbo].[adfGetRoleID]
	END

GO

PRINT 'Creating function adfGetRoleID'
GO
/******************************************************************************
**		File: 
**		Name: adfGetRoleID
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE FUNCTION adfGetRoleID
	(@rolename TSysname)
RETURNS INT
AS
BEGIN
	DECLARE @ID INT
	
	SELECT 
		@ID = [Role].[ID]
	FROM 
		[Role] INNER JOIN [Trustee] ON ([Role].[ID] = [Trustee].[ID])
	WHERE
		[Trustee].[Name] = @rolename
		
	RETURN @ID
END
GO

