IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'adfUserList')
	BEGIN
		PRINT 'Dropping Procedure adfUserList'
		DROP  Procedure  adfUserList
	END

GO

PRINT 'Creating Procedure adfUserList'
GO
/******************************************************************************
**		File: 
**		Name: adfUserList
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE PROCEDURE adfUserList
AS
	SET NOCOUNT ON

	SELECT     
		[Trustee].[ID], 
		[Trustee].[Name], 
		[Trustee].[DisplayName], 
		[User].[Locked]
	FROM         
		[User] INNER JOIN [Trustee] ON [User].[ID] = [Trustee].[ID]
	
	RETURN 0
GO

GRANT EXEC ON adfUserList TO PUBLIC
GO
