IF NOT EXISTS (SELECT * FROM syscolumns WHERE [name] = 'Width' AND OBJECTPROPERTY(id, N'IsUserTable') = 1 AND OBJECT_NAME(id)='Currency')
	ALTER TABLE [Currency] ADD [Width] TCount null
GO
IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'AZM')
	UPDATE [Currency] SET [Code] = 'AZN', [NumericCode] = 944 WHERE [Code] = 'AZM'
IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = '')
	UPDATE [Currency] SET [Code] = 'ETB' WHERE [Code] = ''
IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = '')
	UPDATE [Currency] SET [Code] = 'EEK' WHERE [Code] = ''
IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'MZM')
	UPDATE [Currency] SET [Code] = 'MZN', [NumericCode] = 943 WHERE [Code] = 'MZM'
IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'SDD')
	UPDATE [Currency] SET [Code] = 'SDG', [NumericCode] = 938, [FileAs] = ' ' WHERE [Code] = 'SDD'
IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'TRL')
	UPDATE [Currency] SET [Code] = 'TRY', [NumericCode] = 949 WHERE [Code] = 'TRL'
IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'UYU')
	UPDATE [Currency] SET [Code] = 'UYI', [NumericCode] = 940, [FileAs] = '    ' WHERE [Code] = 'UYU'
IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'CSD')
	UPDATE [Currency] SET [Code] = 'RSD', [NumericCode] = 941 WHERE [Code] = 'CSD'
IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = '')
	UPDATE [Currency] SET [Code] = 'BAM' WHERE [Code] = ''
IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'OEL')
	UPDATE [Currency] SET [Code] = 'GEL' WHERE [Code] = 'OEL'
--IF EXISTS(SELECT *FROM [Currency] WHERE [Code] = 'TMM')
--	UPDATE [Currency] SET [Code] = 'TMT', [NumericCode] = 934 WHERE [Code] = 'TMM'
IF NOT EXISTS (SELECT *FROM [Currency] WHERE [Code] = 'YUM')
	INSERT INTO [Currency] ([State], [Flag], [Code], [NumericCode], [FileAs], [Comments], [Width]) 
	VALUES(2, 0, 'YUM', '891', ' ', '', 2)
IF NOT EXISTS (SELECT *FROM [Currency] WHERE [Code] = 'RON')
	INSERT INTO [Currency] ([State], [Flag], [Code], [NumericCode], [FileAs], [Comments], [Width]) 
	VALUES(2, 0, 'RON', '946', ' ', '', 2)
IF NOT EXISTS (SELECT *FROM [Currency] WHERE [Code] = 'XBA')
	INSERT INTO [Currency] ([State], [Flag], [Code], [NumericCode], [FileAs], [Comments], [Width]) 
	VALUES(2, 0, 'XBA', '955', '   EURCO', '',  NULL)
IF NOT EXISTS (SELECT *FROM [Currency] WHERE [Code] = 'XBB')
	INSERT INTO [Currency] ([State], [Flag], [Code], [NumericCode], [FileAs], [Comments], [Width]) 
	VALUES(2, 0, 'XBB', '956', '   EMU-6', '', NULL)
IF NOT EXISTS (SELECT *FROM [Currency] WHERE [Code] = 'XBC')
	INSERT INTO [Currency] ([State], [Flag], [Code], [NumericCode], [FileAs], [Comments], [Width]) 
	VALUES(2, 0, 'XBC', '957', '     EUA-9', '', NULL)
IF NOT EXISTS (SELECT *FROM [Currency] WHERE [Code] = 'XBD')
	INSERT INTO [Currency] ([State], [Flag], [Code], [NumericCode], [FileAs], [Comments], [Width]) 
	VALUES(2, 0, 'XBD', '958', '     EUA-17', '', NULL)
GO