﻿--//////////////Function scripts////////////////////
--**************fnHasAccessRightByNameForUserLogin**************
IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[pjmams].[fnHasAccessRightByNameForUserLogin]') AND xtype IN (N'FN', N'IF', N'TF'))
	BEGIN
		PRINT 'Dropping function fnHasAccessRightByNameForUserLogin'
		DROP FUNCTION [pjmams].[fnHasAccessRightByNameForUserLogin]
	END

GO

PRINT 'Creating function fnHasAccessRightByNameForUserLogin'
GO

CREATE FUNCTION [pjmams].[fnHasAccessRightByNameForUserLogin]
	(@RightName nvarchar(128), @UserLogin nvarchar(256))
RETURNS INT
AS
BEGIN
	DECLARE 
		@UserID INT,
		@Result int


	SELECT 
		@UserID = [dbo].[User].[ID] 
	FROM 
		[dbo].[User] 
	WHERE 
		[dbo].[User].[NTlogin] = @UserLogin

	SELECT
		@Result = dbo.adfHasAccessRightByNameForUser(@RightName, @UserID)

	RETURN @Result

	
	
END
GO

GRANT EXECUTE ON [pjmams].[fnHasAccessRightByNameForUserLogin] TO [activitymonitorsite]
GO


