IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[fnPjm6ExtraCurrencyToString]') AND xtype IN (N'FN', N'IF', N'TF'))
	BEGIN
		PRINT 'Dropping function fnPjm6ExtraCurrencyToString'
		DROP FUNCTION [dbo].[fnPjm6ExtraCurrencyToString]
	END

GO

PRINT 'Creating function fnPjm6ExtraCurrencyToString'
GO
/******************************************************************************
**		File: 
**		Name: fnPjm6ExtraCurrencyToString
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: yuriy.soldatkin
**		Date: 12.08.10
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE FUNCTION fnPjm6ExtraCurrencyToString(
	@Value		TMoney,
	@Currency	TCode
	)
RETURNS TName
AS
BEGIN
	IF (ABS(@Value) > (ROUND(ABS(@Value) + 0.5, 0) - 1))
	BEGIN
		RETURN dbo.fnPjm5CurrencyToString(2, @Currency)
	END
	RETURN dbo.fnPjm5CurrencyToString(@Value, @Currency)
END
GO

GRANT EXEC ON fnPjm6ExtraCurrencyToString TO PUBLIC
GO
    