/*============================================================================*/
/* Stored procedure:        */
/*============================================================================*/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[pjm5SubscriptionTypeGet]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[pjm5SubscriptionTypeGet]
go

create procedure pjm5SubscriptionTypeGet
as

SELECT 
	[ID], [Code], [DatabaseView], [Interval], [Aggregatable], [LookupDeleted],
	ISNULL([RecipientView], '') AS [RecipientView]
FROM
	[SubscriptionType]

go

grant execute on [dbo].[pjm5SubscriptionTypeGet] to [public]
go 